Bug 1018271 - Documentation: Dev Guide -Add a warning that the ejb-security-interceptor quickstart use private API
Documentation: Dev Guide -Add a warning that the ejb-security-interceptor qui...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER6
: EAP 6.2.0
Assigned To: sgilda
Russell Dickenson
:
Depends On: 1018269
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 11:22 EDT by sgilda
Modified: 2014-08-14 11:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1018269
Environment:
Last Closed: 2013-12-15 11:48:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sgilda 2013-10-11 11:22:08 EDT
+++ This bug was initially created as a clone of Bug #1018269 +++

Description of problem:

The ejb-security-interceptors quickstart was introduced in EAP 6.1.1. It uses private classes. 

A new public API was introduced in 6.2 that broke this quickstart.

Per Brian Stansberry's suggestion:
* They will restore the 2 classes and commit to maintain them for 6.x
* They will not mark the modules public because they aren't and this doesn't justify changing that
* They willwe come up with a plan for a proper API in WF and 6.3 and we deprecate these once we do.

We need to add a warning to the quickstart that it uses a private API that will be deprecated and replaced in EAP 6.3.

Some suggestions from Pete:

"The two classes XXX are part of the <JBoss EAP> private API. They will be maintained for the duration of EAP 6.x. We plan to introduce a public API in EAP 6.3, and encourage you to update to the public API when available. Check the EAP 6.3 release notes for info on the public API"

they can *use* it

you should add to the statement i wrote "Note that the current API (two class names) will be deprecated in EAP 6.3, but continue to be available during the EAP 6.x series


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from  on 2013-10-11 11:20:24 EDT ---

Created against the wrong product.
Comment 1 sgilda 2013-10-11 15:27:17 EDT
Added this note

The above code example uses two classes, org.jboss.as.controller.security.SubjectUserInfo and org.jboss.as.domain.management.security.RealmUser, that are part of the JBoss EAP private API. A public API will become available in the EAP 6.3 release and the private classes will be deprecated, but these classes will be maintained and available for the duration of the EAP 6.x release cycle.

to 

topic 13166: Change the Security Context Identity
topic 14139: Pass Additional Security For EJB Authentication
Comment 3 Jan Martiska 2013-10-22 06:35:56 EDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.